Package org.codehaus.janino

# Class Java.ElementValuePair

java.lang.Object
org.codehaus.janino.Java.ElementValuePair

Enclosing class:
  `Java`

public static class Java.ElementValuePair extends Object
Representation of a "name = value" element in a `Java.NormalAnnotation`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.ElementValue`
`elementValue`
The element value.
`final String`
`identifier`
The element name.

## Constructor Summary

Constructors
Constructor
Description
`ElementValuePair(String identifier, Java.ElementValue elementValue)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### identifier

public final String identifier
The element name.

### elementValue

public final Java.ElementValue elementValue
The element value.

## Constructor Details

### ElementValuePair

public ElementValuePair(String identifier, Java.ElementValue elementValue)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`